### Method

# Gio FileInfo set_symbolic_icon

since: 2.34

#### Declaration [src]

    void
    g_file_info_set_symbolic_icon (
      GFileInfo* info,
      GIcon* icon
    )

#### Description [src]

Sets the symbolic icon for a given `GFileInfo`. See `G_FILE_ATTRIBUTE_STANDARD_SYMBOLIC_ICON`.

Available since: 2.34

#### Parameters

`icon`

  Type: `GIcon`

  A `GIcon`.

  The data is owned by the caller of the function.